/**
 * @file
 * Datalist clear button handling.
 */
(function () {
  'use strict';

  /**
   * Drupal behavior.
   */
  Drupal.behaviors.datalist = {
    attach: function (context) {
      const datalistsClear = document.querySelectorAll('.form-type-datalist .clear');
      if (datalistsClear.length === 0) {
        return;
      }

      datalistsClear.forEach(datalistClear => {
        datalistClear.addEventListener('click', function(e) {
          e.preventDefault();

          e.currentTarget.parentElement.querySelector('input').value = '';
        });
      })
    },
  };

})();
